@echo off
if not exist doom.wad goto error
if not exist dmgraph.exe goto error
if not exist %1\misfa0.gif goto error
echo.
echo Restoring old missile launcher (Too much fun for you, eh?)
@echo on
dmgraph misfa0 -s %1\misfa0.gif -i -136,-105
dmgraph misfb0 -s %1\misfb0.gif -i -126,-101
dmgraph misfc0 -s %1\misfc0.gif -i -117,-94
dmgraph misfd0 -s %1\misfd0.gif -i -112,-181
dmgraph misga0 -s %1\misga0.gif -i -119,-121
dmgraph misgb0 -s %1\misgb0.gif -i -112,-125
dmgraph misla1 -s %1\misla1.gif -i 7,13
dmgraph misla5 -s %1\misla5.gif -i 7,13
dmgraph misla6a4 -s %1\misla6a4.gif -i 12,13
dmgraph misla7a3 -s %1\misla7a3.gif -i 25,13
dmgraph misla8a2 -s %1\misla8a2.gif -i 16,13
dmgraph mislb0 -s %1\mislb0.gif -i 37,29
dmgraph mislc0 -s %1\mislc0.gif -i 42,34
dmgraph misld0 -s %1\misld0.gif -i 50,43
dmgraph rocka0 -s %1\rocka0.gif
dmgraph broka0 -s %1\broka0.gif
@echo off
echo .
echo OK, your stupid old rocket launcher is back.
echo Thank you for uninstalling my patch
echo Mail me : kotzenb@itu.sun.ac.za
goto end
:error
echo To use this batch file you need DOOM.WAD, DMAUD.EXE and UNCUST.BAT
echo in your DOOM sudirectory, with a parameter pointing to the sub-directory
echo containing the graphic files.
echo EG: uncust.bat c:\doom\cust
goto end
:end
@echo on
@echo on